curl --request PUT \
--url https://api.quiva.ai/storage/kv/{bucket} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated product catalog with extended metadata"
}
'
{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}KV Buckets
Create or update a KV bucket
Creates a new key-value bucket with optional indexing or updates it if one does not exist
PUT
/
storage
/
kv
/
{bucket}
curl --request PUT \
--url https://api.quiva.ai/storage/kv/{bucket} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated product catalog with extended metadata"
}
'
{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the bucket
Body
application/json
Response
Bad Request
Example:
"success"